OpenTTD Source: SlCompanyOldAI Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlCompanyOldAI Class Reference
Inheritance diagram for SlCompanyOldAI:

## Public Member Functions
void | Load (CompanyProperties *c) const override
void | LoadCheck (CompanyProperties *c) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlCompanyOldAI, CompanyProperties >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (CompanyProperties *object) const
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (CompanyProperties *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _company_old_ai_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 294 of file company_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlCompanyOldAI::Load | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlCompanyOldAI, CompanyProperties >.

Definition at line 302 of file company_sl.cpp.

## ◆ LoadCheck()

void SlCompanyOldAI::LoadCheck | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlCompanyOldAI, CompanyProperties >.

Definition at line 310 of file company_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlCompanyOldAI::compat_description = _company_old_ai_compat
| inlinestatic

Definition at line 300 of file company_sl.cpp.

## ◆ description

const SaveLoad SlCompanyOldAI::description[]
| inlinestatic

Initial value:
= {
SLE_CONDVAR(CompanyOldAI, num_build_rec, SLE_UINT8, SL_MIN_VERSION, SLV_107),
SLEG_STRUCTLIST("buildrec", SlCompanyOldAIBuildRec),
}
SlCompanyOldAIBuildRec
Definition company_sl.cpp:277
SLEG_STRUCTLIST
#define SLEG_STRUCTLIST(name, handler)
Storage of a list of structs in every savegame version.
Definition saveload.h:1256
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SLV_107
@ SLV_107
107 15027
Definition saveload.h:171
SL_MIN_VERSION
@ SL_MIN_VERSION
First savegame version.
Definition saveload.h:31
CompanyOldAI
Definition company_sl.cpp:273

Definition at line 296 of file company_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/company_sl.cpp